package io.p2vman.vmodextras.cc.block;

import net.minecraft.world.level.Level;
import net.minecraft.world.level.block.Block;
import net.minecraft.world.level.block.entity.BlockEntity;
import net.minecraft.world.level.block.entity.BlockEntityTicker;
import net.minecraft.world.level.block.entity.BlockEntityType;
import net.minecraft.world.level.block.state.BlockState;
import org.jetbrains.annotations.Nullable;
import io.p2vman.vmodextras.cc.ComputerCraftCompact;
import io.p2vman.vmodextras.cc.block.entity.TrackWorkControllerEntity;
import io.p2vman.vmodextras.util.IBlockEntity;

public class TrackWorkController extends Block implements IBlockEntity<TrackWorkControllerEntity> {
    public TrackWorkController(Properties properties) {
        super(properties);
    }


    @Override
    public BlockEntityType<? extends TrackWorkControllerEntity> getBlockEntityType() {
        return ComputerCraftCompact.TRACK_WORK_CONTROLLER_BLOCK_ENTITY.get();
    }

    @Override
    public @Nullable <T extends BlockEntity> BlockEntityTicker<T> getTicker(Level p_153212_, BlockState p_153213_, BlockEntityType<T> p_153214_) {
        return IBlockEntity.super.getTicker(p_153212_, p_153213_, p_153214_);
    }
}
