package io.p2vman.vmodextras.mixins.trackwork;

import edn.stratodonut.trackwork.tracks.forces.PhysicsTrackController;
import org.joml.Vector3dc;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.gen.Accessor;

@Mixin(PhysicsTrackController.class)
public interface PhysicsTrackControllerAccessor {
    @Accessor(value = "suspensionStiffness", remap = false)
    float getSuspensionStiffness();

    @Accessor(value = "suspensionStiffness", remap = false)
    void setSuspensionStiffness(float val);

    @Accessor(value = "suspensionAdjust", remap = false)
    Vector3dc getSuspensionAdjust();

    @Accessor(value = "suspensionAdjust", remap = false)
    void setSuspensionAdjust(Vector3dc vector3d);
}
