package io.p2vman.vmodextras.util;

import net.minecraft.core.BlockPos;
import net.minecraft.world.level.block.EntityBlock;
import net.minecraft.world.level.block.entity.BlockEntity;
import net.minecraft.world.level.block.entity.BlockEntityType;
import net.minecraft.world.level.block.state.BlockState;

public interface IBlockEntity<T extends BlockEntity> extends EntityBlock {
    BlockEntityType<? extends T> getBlockEntityType();

    default BlockEntity newBlockEntity(BlockPos p_153215_, BlockState p_153216_) {
        return this.getBlockEntityType().create(p_153215_, p_153216_);
    }
}
