package io.p2vman.vmodextras.util;

import javax.annotation.Nonnull;
import java.util.Optional;

public class ReflectionUtil {
    public static <T> @Nonnull Optional<T> createInstance(@Nonnull Class<T> cls) {
        try {
            return Optional.of(cls.getDeclaredConstructor().newInstance());
        } catch (Throwable t) {
            return Optional.empty();
        }
    }
}
