package io.p2vman.vmodextras.util;

import org.valkyrienskies.core.api.ships.ServerShip;

import javax.annotation.Nonnull;
import java.util.Optional;

public class VsUtils {
    public static <T> @Nonnull Optional<T> getOrCreateAttachment(@Nonnull ServerShip ship, @Nonnull Class<T> cls) {
        T obj = ship.getAttachment(cls);
        if (obj != null) {
            return Optional.of(obj);
        }
        else {
            Optional<T> ob = ReflectionUtil.createInstance(cls);
            ob.ifPresent((j) -> ship.saveAttachment(cls, j));
            return ob;
        }
    }
}
