package io.p2vman.vmodextras.cc.net;

import javax.annotation.Nonnull;
import java.util.Set;

public interface INetwork {
    void addReceiver(@Nonnull IPacketReceiver receiver);
    void removeReceiver(@Nonnull IPacketReceiver receiver);
    void transmit(@Nonnull NetworkPacket packet);
    @Nonnull Set<IDomainNameHandler> getDomainHandlers();
}
