package io.p2vman.vmodextras.mixins.create;

import com.llamalad7.mixinextras.sugar.Local;
import com.simibubi.create.content.redstone.link.LinkHandler;
import io.p2vman.vmodextras.GameRulesBlat;
import net.minecraft.server.level.ServerPlayer;
import net.minecraft.world.level.GameType;
import net.minecraftforge.event.entity.player.PlayerInteractEvent;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;

@Mixin(LinkHandler.class)
public class LinkHandlerMixin {
    @Inject(method = "onBlockActivated", at = @At(value = "INVOKE", target = "Ljava/util/Arrays;asList([Ljava/lang/Object;)Ljava/util/List;"), cancellable = true, remap = false)
    private static void Abc(PlayerInteractEvent.RightClickBlock event, CallbackInfo ci) {
        if (event.getEntity() instanceof ServerPlayer p && p.gameMode.getGameModeForPlayer() == GameType.ADVENTURE && !event.getLevel().getGameRules().getBoolean(GameRulesBlat.EX4)) {
            event.setCanceled(true);
            ci.cancel();
        }

    }
}
