package io.p2vman.vmodextras.mixins.vmod;


import io.p2vman.vmodextras.Config;
import kotlin.reflect.KProperty;
import net.spaceeye.vmod.reflectable.ReflectableItemDelegate;
import net.spaceeye.vmod.toolgun.modes.state.ScaleMode;
import org.spongepowered.asm.mixin.Final;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Shadow;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfoReturnable;

@Mixin(ScaleMode.class)
public abstract class ScaleModeMixin {
    @Shadow private @Final ReflectableItemDelegate scale$delegate;
    @Shadow @Final private static KProperty<Object>[] $$delegatedProperties;

    @Inject(method = "getScale", at = @At("HEAD"), cancellable = true, remap = false)
    private void vmodextras$getScale(CallbackInfoReturnable<Double> cir) {
        cir.setReturnValue(Config.SCALE_CLAMP.clamp(((Number)this.scale$delegate.getValue(this, $$delegatedProperties[0])).doubleValue()));
        cir.cancel();
    }
}
